mutation createRoleCategory(
  $roleName: String!,
  $category: RoleCategoryType!
) @auth(level: USER) {
  roleCategory_insert(
    data: {
      roleName: $roleName,
      category: $category
    }
  ) 
}

mutation updateRoleCategory(
  $id: UUID!,
  $roleName: String,
  $category: RoleCategoryType
) @auth(level: USER) {
  roleCategory_update(
    id: $id,
    data: {
      roleName: $roleName,
      category: $category
    }
  ) 
}

mutation deleteRoleCategory($id: UUID!) @auth(level: USER) {
  roleCategory_delete(id: $id) 
}
